using ADEPT.Core.Lesson;

namespace ADEPT.Core;

public static class Adept
{
    public static Main MainNode { get; private set; }
    public static LessonHandler LessonHandler { get; private set; }
    
    public static void Initialize(Main mainNode, LessonHandler lessonHandler)
    {
        MainNode = mainNode;
        LessonHandler = lessonHandler;
    }
    
    public static class Constants
    {
        public const string Version = "0.0.0";
        public const string DefaultLessonPath = "res://Assets/ADEPT/Lessons/";
        public const string DefaultLessonFileExtension = ".adept";
    }
    
}